static const char *const multilib_raw[] = {
". !marm !mthumb !mfpu=auto !march=armv5te+fp !march=armv7+fp !mfloat-abi=hard;",
"thumb !marm mthumb !mfpu=auto !march=armv5te+fp !march=armv7+fp !mfloat-abi=hard;",
"arm/autofp/v5te/fpu marm !mthumb mfpu=auto march=armv5te+fp !march=armv7+fp mfloat-abi=hard;",
"thumb/autofp/v7/fpu !marm mthumb mfpu=auto !march=armv5te+fp march=armv7+fp mfloat-abi=hard;",
NULL
};

static const char *const multilib_reuse_raw[] = {
"thumb !marm mthumb mfpu=auto !march=armv5te+fp !march=armv7+fp !mfloat-abi=hard;",
"thumb !marm mthumb mfpu=auto march=armv5te+fp !march=armv7+fp !mfloat-abi=hard;",
"thumb !marm mthumb !mfpu=auto march=armv5te+fp !march=armv7+fp !mfloat-abi=hard;",
"arm/autofp/v5te/fpu marm !mthumb !mfpu=auto march=armv5te+fp !march=armv7+fp mfloat-abi=hard;",
"arm/autofp/v5te/fpu !marm !mthumb !mfpu=auto march=armv5te+fp !march=armv7+fp mfloat-abi=hard;",
"arm/autofp/v5te/fpu !marm !mthumb mfpu=auto march=armv5te+fp !march=armv7+fp mfloat-abi=hard;",
"thumb/autofp/v7/fpu !marm mthumb !mfpu=auto !march=armv5te+fp march=armv7+fp mfloat-abi=hard;",
"thumb/autofp/v7/fpu !marm !mthumb mfpu=auto !march=armv5te+fp march=armv7+fp mfloat-abi=hard;",
"thumb/autofp/v7/fpu !marm !mthumb !mfpu=auto !march=armv5te+fp march=armv7+fp mfloat-abi=hard;",
NULL
};

static const char *const multilib_matches_raw[] = {
"mfpu=vfp mfpu=auto;",
"mfpu=vfpv2 mfpu=auto;",
"mfpu=vfpv3 mfpu=auto;",
"mfpu=vfpv3-fp16 mfpu=auto;",
"mfpu=vfpv3-d16 mfpu=auto;",
"mfpu=vfpv3-d16-fp16 mfpu=auto;",
"mfpu=neon mfpu=auto;",
"mfpu=neon-vfpv3 mfpu=auto;",
"mfpu=neon-fp16 mfpu=auto;",
"mfpu=vfpv4 mfpu=auto;",
"mfpu=neon-vfpv4 mfpu=auto;",
"mfpu=vfpv4-d16 mfpu=auto;",
"mfpu=fpv5-d16 mfpu=auto;",
"mfpu=fp-armv8 mfpu=auto;",
"mfpu=neon-fp-armv8 mfpu=auto;",
"mfpu=crypto-neon-fp-armv8 mfpu=auto;",
"mfpu=vfp3 mfpu=auto;",
"march=armv5te march=armv5te+fp;",
"march=armv5e march=armv5te+fp;",
"march=armv5e+fp march=armv5te+fp;",
"march=armv5tej march=armv5te+fp;",
"march=armv5tej+fp march=armv5te+fp;",
"march=armv6 march=armv5te+fp;",
"march=armv6+fp march=armv5te+fp;",
"march=armv6j march=armv5te+fp;",
"march=armv6j+fp march=armv5te+fp;",
"march=armv6k march=armv5te+fp;",
"march=armv6k+fp march=armv5te+fp;",
"march=armv6z march=armv5te+fp;",
"march=armv6z+fp march=armv5te+fp;",
"march=armv6kz march=armv5te+fp;",
"march=armv6kz+fp march=armv5te+fp;",
"march=armv6zk march=armv5te+fp;",
"march=armv6zk+fp march=armv5te+fp;",
"march=armv6t2 march=armv5te+fp;",
"march=armv6t2+fp march=armv5te+fp;",
"march=iwmmxt march=armv5te+fp;",
"march=iwmmxt+fp march=armv5te+fp;",
"march=iwmmxt2 march=armv5te+fp;",
"march=iwmmxt2+fp march=armv5te+fp;",
"march=armv7 march=armv7+fp;",
"march=armv7-a+vfpv3 march=armv7+fp;",
"march=armv7-a+vfpv3-fp16 march=armv7+fp;",
"march=armv7-a+vfpv4 march=armv7+fp;",
"march=armv7-a+simd march=armv7+fp;",
"march=armv7-a+neon-fp16 march=armv7+fp;",
"march=armv7-a+neon-vfpv4 march=armv7+fp;",
"march=armv7ve+vfpv3-d16 march=armv7+fp;",
"march=armv7ve+vfpv3 march=armv7+fp;",
"march=armv7ve+vfpv3-d16-fp16 march=armv7+fp;",
"march=armv7ve+vfpv3-fp16 march=armv7+fp;",
"march=armv7ve+vfpv4 march=armv7+fp;",
"march=armv7ve+neon march=armv7+fp;",
"march=armv7ve+neon-fp16 march=armv7+fp;",
"march=armv7ve+simd march=armv7+fp;",
"march=armv7-a march=armv7+fp;",
"march=armv7-a+fp march=armv7+fp;",
"march=armv7ve march=armv7+fp;",
"march=armv7ve+fp march=armv7+fp;",
"march=armv7-r march=armv7+fp;",
"march=armv7-r+fp march=armv7+fp;",
"march=armv8-a march=armv7+fp;",
"march=armv8-a+simd march=armv7+fp;",
"march=armv8-a+fp16 march=armv7+fp;",
"march=armv8-a+crypto march=armv7+fp;",
"march=armv8-a+fp16+crypto march=armv7+fp;",
"march=armv8-a+dotprod march=armv7+fp;",
"march=armv8-a+fp16fml march=armv7+fp;",
"march=armv8-a+crc march=armv7+fp;",
"march=armv8-a+crc+simd march=armv7+fp;",
"march=armv8-a+crc+fp16 march=armv7+fp;",
"march=armv8-a+crc+crypto march=armv7+fp;",
"march=armv8-a+crc+fp16+crypto march=armv7+fp;",
"march=armv8-a+crc+dotprod march=armv7+fp;",
"march=armv8-a+crc+fp16fml march=armv7+fp;",
"march=armv8.1-a march=armv7+fp;",
"march=armv8.1-a+simd march=armv7+fp;",
"march=armv8.1-a+fp16 march=armv7+fp;",
"march=armv8.1-a+crypto march=armv7+fp;",
"march=armv8.1-a+fp16+crypto march=armv7+fp;",
"march=armv8.1-a+dotprod march=armv7+fp;",
"march=armv8.1-a+fp16fml march=armv7+fp;",
"march=armv8.2-a march=armv7+fp;",
"march=armv8.2-a+simd march=armv7+fp;",
"march=armv8.2-a+fp16 march=armv7+fp;",
"march=armv8.2-a+crypto march=armv7+fp;",
"march=armv8.2-a+fp16+crypto march=armv7+fp;",
"march=armv8.2-a+dotprod march=armv7+fp;",
"march=armv8.2-a+fp16fml march=armv7+fp;",
"march=armv8.3-a march=armv7+fp;",
"march=armv8.3-a+simd march=armv7+fp;",
"march=armv8.3-a+fp16 march=armv7+fp;",
"march=armv8.3-a+crypto march=armv7+fp;",
"march=armv8.3-a+fp16+crypto march=armv7+fp;",
"march=armv8.3-a+dotprod march=armv7+fp;",
"march=armv8.3-a+fp16fml march=armv7+fp;",
"march=armv8.4-a march=armv7+fp;",
"march=armv8.4-a+simd march=armv7+fp;",
"march=armv8.4-a+fp16 march=armv7+fp;",
"march=armv8.4-a+crypto march=armv7+fp;",
"march=armv8.4-a+fp16+crypto march=armv7+fp;",
"march=armv8.4-a+dotprod march=armv7+fp;",
"march=armv8.4-a+fp16fml march=armv7+fp;",
"march=armv7e-m+fp.dp march=armv7+fp;",
"march=armv8-m.mainline+fp.dp march=armv7+fp;",
"marm marm;",
"mthumb mthumb;",
"mfpu=auto mfpu=auto;",
"march=armv5te+fp march=armv5te+fp;",
"march=armv7+fp march=armv7+fp;",
"mfloat-abi=hard mfloat-abi=hard;",
NULL
};

static const char *multilib_extra = "";

static const char *const multilib_exclusions_raw[] = {
NULL
};

static const char *multilib_options = "marm/mthumb mfpu=auto march=armv5te+fp/march=armv7+fp mfloat-abi=hard";
